workspace "BarinkEngine"
	configurations { "Debug", "Test", "Release" } 
	language "C++"
	cppdialect "C++17"
	targetdir "./build/%{prj.name}/%{cfg.buildcfg}"
	objdir "./intermediates/%{prj.name}/%{cfg.buildcfg}"


	project "SandboxApplication"
		kind "ConsoleApp"
		
		buildmessage "Building BarinkEngineSandbox ..."

		includedirs {
			"./MyGraphicsEngine/include"
		}



		libdirs{
			"./libs/spdlog-1.9.1/build"
		}	

		links{
			"spdlog",
			"glfw3",
			"X11",
			"GL",
			"GLU",
			"pthread",
			"dl",
			"m",
			"MyGraphicsEngine"
		}

		files { 
			"SandboxApplication/*.cpp"
		}

	


	project "MyGraphicsEngine"
		kind "StaticLib"
	
		buildmessage "Building MyGraphicsEngine ..."
		
		includedirs {
			"./libs/glfw-3.3.4/include",
			"./libs/spdlog-1.9.1/include",
			"./MyGraphicsEngine/include"
			}
		
		
		libdirs{
			"./libs/spdlog-1.9.1/build"
		}	

		links {
			"libspdlog",
			"glfw3",
			"X11",
			"GL",
			"GLU",
			"pthread",
			"dl",
			"m"
		}

		files {"MyGraphicsEngine/*.cpp"}

		filter "configurations:Debug"
			defines {"DEBUG"}
			symbols "On"

		filter "configurations:Release"
			defines {"NDEBUG"}
			optimize "On"
